=== src/CMakeLists.txt ===
include_directories(common)

add_subdirectory(daemon)
add_subdirectory(agent)
