=== debian/changelog ===
dde-dialog (1.0.1) UNRELEASED; urgency=medium

  * refactor: 调整control.

 -- echengqi <echengqi@uniontech.org>  Fri, 11 Jan 2025 13:40:36 +0800

dde-dialog (1.0.0) UNRELEASED; urgency=medium

  * Initial release.

 -- unknown <quezhiyong@deepin.org>  Fri, 11 Oct 2024 15:40:36 +0800
