=== debian/control ===
Source: dde-dialog
Section: misc
Priority: optional
Maintainer: zsien <quezhiyong@deepin.org>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libfmt-dev,
 libsystemd-dev,
 libyaml-cpp-dev,
 pkg-config,
 qt6-base-dev,
 qt6-declarative-dev,
 libdtk6core-dev,
 libdtk6gui-dev,
 libdbus-1-dev,
 systemd-dev,
Standards-Version: 4.7.0
Homepage: <https://github.com/linuxdeepin/dde-dialog>
#Vcs-Browser: https://salsa.debian.org/debian/dde-dialog
#Vcs-Git: https://salsa.debian.org/debian/dde-dialog.git

Package: dde-dialog
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: <insert up to 60 chars description>
 <Insert long description, indented with spaces.>
